package com.engine.salary.enums.salaryaccounting;

import com.engine.salary.enums.BaseEnum;


public enum LockStatusEnum implements BaseEnum<String> {
    DEFAULT("DEFAULT", "默认", 0),
    LOCK("LOCK", "锁定", 0),
    UNLOCK("UNLOCK", "未锁定", 0);

    private String value;

    private String defaultLabel;

    private int labelId;

    LockStatusEnum(String value, String defaultLabel, int labelId) {
        this.value = value;
        this.defaultLabel = defaultLabel;
        this.labelId = labelId;
    }

    @Override
    public String getValue() {
        return value;
    }

    @Override
    public Integer getLabelId() {
        return labelId;
    }

    @Override
    public String getDefaultLabel() {
        return defaultLabel;
    }
}
